import Typography from "@mui/material/Typography";
import Box from "@mui/material/Box";
import Link from "@mui/material/Link";

// Function to format a date as MMM DD, YYYY
function formatDate(date) {
  const months = [
    "JAN",
    "FEB",
    "MAR",
    "APR",
    "MAY",
    "JUN",
    "JUL",
    "AUG",
    "SEP",
    "OCT",
    "NOV",
    "DEC",
  ];
  const month = months[date.getMonth()];
  const day = ("0" + date.getDate()).slice(-2);
  const year = date.getFullYear();
  return `${month} ${day}, ${year}`;
}

// Get the current date
const now = new Date();

// Get the date 2 weeks from now
const twoWeeksFromNow = new Date();
twoWeeksFromNow.setDate(now.getDate() + 14);

export default function Upgrades() {
  return (
    <Box height="calc(100vh - 8.8rem)" display="flex">
      <Box my="auto" mx="auto" flexWrap="wrap" textAlign="center">
        <Typography variant="h4">Servers currently upgrading!</Typography>
        <br />
        <Typography variant="h5">
          Process Started {formatDate(now)} and will end{" "}
          {formatDate(twoWeeksFromNow)}
        </Typography>
        <Typography variant="h6">
          {" "}
          If you need to get in contact with me sooner, please email me at{" "}
          <Link href="mailto:elijahglennparker@outlook.com">
            elijahglennparker@outlook.com
          </Link>
        </Typography>
      </Box>
    </Box>
  );
}
